package com.ruoyi.web.work.service;
import java.util.List;

import com.ruoyi.web.work.domain.Visit;
import com.ruoyi.web.work.domain.dto.PatientCardDto;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * @author lsw
 * @date 2024-07-23
 */
public interface IVisitService extends IService<Visit>{
    List<Visit> selectList(Visit visit);

    List<PatientCardDto> getPatientCardByNameOrDepartmentOrPhysician(PatientCardDto patientCardDto);


    //根据患者Id获取就诊记录列表
    List<Visit> getVisitByPatId(String patId,String startTime,String endTime);

    //根据deptId获取所有部门的患者
    List<Visit> getPatientByDeptId(Long deptId,String userName);
}
